import AuthService from '../auth-service';

/**
 * 部门权限服务对象基类
 *
 * @export
 * @class IBZDepartmentAuthServiceBase
 * @extends {AuthService}
 */
export default class IBZDepartmentAuthServiceBase extends AuthService {

    /**
     * Creates an instance of  IBZDepartmentAuthServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBZDepartmentAuthServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 根据当前数据获取实体操作标识
     *
     * @param {string} name 实体名称
     * @returns {Promise<any>}
     * @memberof IBZDepartmentAuthServiceBase
     */
    public async getOPPrivs(data:any):Promise<any>{
        return null;
    }

}